﻿@using System;
@using System.Web.UI.WebControls
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;

@model Toyota.Common.Web.MVC.ModelHolder

@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Script{
    var OrderReleaseDate = '';
    var DockCode = '';
    
    function OnSPMSearchButtonClick(s, e) {
        OrderReleaseDate = SPMOrderReleaseDate.GetText();
        DockCode = OSPMDockOption.GetText();
        SPMODView.PerformCallback();
    }

    function OnSPMClearButtonClick(s, e) {
        SPMOrderReleaseDate.SetText('@ViewData["OrderReleaseDate"]');
        OSPMDockOption.SetText('');
        OrderReleaseDate = SPMOrderReleaseDate.GetText();

        GridOSPMDockOption.UnselectAllRowsOnPage();
        GridOSPMDockOption.ClearFilter();
        SPMODView.ClearFilter();
    }

    function OnSPMViewBeginCallback(s, e){
        e.customArgs["OrderReleaseDate"] = OrderReleaseDate;
        e.customArgs["DockCode"] = DockCode;
    }
}

<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
    @Html.Action("SupplierPrintMonitoringHeaderPartial", "SupplierPrintMonitoring")
</div>
<div style="height: 15px;"></div> @* div spacing *@
<div>    
    @Html.Action("SupplierPrintMonitoringDetailPartial", "SupplierPrintMonitoring")
</div> 
<div style="height: 15px;"></div> @* div spacing *@
<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; width:550px; height: 15px;">
    <table width="100%" cellpadding="0" cellspacing="0">
        <tr style="margin:0; padding:0">
            <td style="margin:0; padding:0" colspan="2">
                <b>Legend:</b>
            </td>
        </tr>
        <tr style="margin:0; padding:0">
            <td style="margin:0; padding:0"><div style="display:table;height: 10px; width: 10px; background-color:#FF0000"></div> </td>
            <td style="margin:0; padding:0">= data has not been printed or downloaded and delayed</td>
        </tr>
        <tr style="margin:0; padding:0">
            <td style="margin:0; padding:0"><div style="display:table;height: 10px; width: 10px; background-color:#FFFF00"></div></td>
            <td style="margin:0; padding:0">= data has not been printed or downloaded but on schedule</td>
        </tr>
        <tr style="margin:0; padding:0">
            <td style="margin:0; padding:0"><div style="display:table;height: 10px; width: 10px; background-color:#00FF00"></div></td>
            <td style="margin:0; padding:0">= data has been printed or downloaded</td>
        </tr>
    </table>
</div>